﻿namespace DocuMed.Domain.Dtos.LargDtos;

public class MedicalHistoryLDto : BaseDto<MedicalHistoryLDto,MedicalHistory>
{
    public string ChiefComplaint { get; set; } = string.Empty;
    public Guid SectionId { get; set; }

    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public string FatherName { get; set; } = string.Empty;
    public string NationalId { get; set; } = string.Empty;
    public int Age { get; set; } = 30;
    public DateTime BirthDate { get; set; }

    public SectionSDto Section { get; set; } = new();

    public string PresentIllnessDetail { get; set; } = string.Empty;
    public string PastDiseasesHistoryDetail { get; set; } = string.Empty;
    public string PastSurgeryHistoryDetail { get; set; } = string.Empty;
    public string FamilyHistoryDetail { get; set; } = string.Empty;
    public string AllergyDetail { get; set; } = string.Empty;
    public string DrugHistoryDetail { get; set; } = string.Empty;
    public string AddictionHistoryDetail { get; set; } = string.Empty;
    public string SystemReviewDetail { get; set; } = string.Empty;
    public string VitalSignDetail { get; set; } = string.Empty;
    public string GeneralAppearanceDetail { get; set; } = string.Empty;

    public Guid MedicalHistoryTemplateId { get; set; }
    public double SystolicBloodPressure { get; set; } = 120;
    public double DiastolicBloodPressure { get; set; } = 80;
    public double PulseRate { get; set; } = 70;
    public double SPO2 { get; set; } = 99;
    public double Temperature { get; set; } = 37;
    public Guid ApplicationUserId { get; set; }
    public DateTime CreatedAt { get; set; }

    public List<MedicalHistoryAnswerSDto> Answers { get; set; } = new();
}