﻿namespace DocuMed.Domain.Dtos.SmallDtos;

public class MedicalHistoryQuestionSDto : BaseDto<MedicalHistoryQuestionSDto,MedicalHistoryQuestion>
{
    public string Question { get; set; } = string.Empty;
    public MedicalHistoryPart Part { get; set; }
    public MedicalHistoryQuestionType QuestionType { get; set; }
    public Guid MedicalHistoryTemplateId { get; set; }

    public BodySystem BodySystem { get; set; }
    public bool IsSign { get; set; }
    public bool IsSymptom { get; set; }

    public MedicalHistoryAnswerSDto Answer { get; set; } = new();
}