﻿namespace DocuMed.Repository.Repositories.Entities.Abstracts;

public interface IMedicalHistoryRepository : IBaseRepository<MedicalHistory>, IScopedDependency
{
    public Task<List<MedicalHistorySDto>> GetMedicalHistoriesAsync(int page = 0, CancellationToken cancellationToken = default);
    public Task<List<MedicalHistorySDto>> GetMedicalHistoriesByFilterAsync(DayQueryFilter dayQuery,int page = 0, CancellationToken cancellationToken = default);
    public Task<MedicalHistoryLDto> GetMedicalHistoryAsync(Guid id, CancellationToken cancellationToken = default);
}