﻿namespace DocuMed.Domain.Dtos.SmallDtos;

public class MedicalHistorySDto : BaseDto<MedicalHistorySDto,MedicalHistory>
{
    public string ChiefComplaint { get; set; } = string.Empty;
    public Guid SectionId { get; set; }
    public string SectionName { get; set; } = string.Empty;

    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public string FatherName { get; set; } = string.Empty;
    public string NationalId { get; set; } = string.Empty;
    public Guid MedicalHistoryTemplateId { get; set; }
    public int Age { get; set; }
    public DateTime BirthDate { get; set; }

    public string PresentIllnessDetail { get; set; } = string.Empty;
    public string PastDiseasesHistoryDetail { get; set; } = string.Empty;
    public string PastSurgeryHistoryDetail { get; set; } = string.Empty;
    public string FamilyHistoryDetail { get; set; } = string.Empty;
    public string AllergyDetail { get; set; } = string.Empty;
    public string DrugHistoryDetail { get; set; } = string.Empty;
    public string AddictionHistoryDetail { get; set; } = string.Empty;
    public string SystemReviewDetail { get; set; } = string.Empty;
    public string VitalSignDetail { get; set; } = string.Empty;
    public string GeneralAppearanceDetail { get; set; } = string.Empty;


    public double SystolicBloodPressure { get; set; }
    public double DiastolicBloodPressure { get; set; }
    public double PulseRate { get; set; }
    public double SPO2 { get; set; }
    public double Temperature { get; set; }
    public string FullName => FirstName + " " + LastName;
    public Guid ApplicationUserId { get; set; }
    public DateTime CreatedAt { get; set; }
}